System.Core 4.0.0.0 System.Object System.Diagnostics.DebuggerDisplay("{DebugView}") System.Diagnostics.DebuggerTypeProxy(typeof(System.Dynamic.BindingRestrictions/BindingRestrictionsProxy)) To be added.

Represents a set of binding restrictions on the under which the dynamic binding is valid.

- Method
  4.0.0.0
  System.Dynamic.BindingRestrictions `` To be added.

  Combines binding restrictions from the list of instances into one set of restrictions.

  The new set of binding restrictions.

  The list of instances from which to combine restrictions.
- Field
  4.0.0.0
  System.Dynamic.BindingRestrictions To be added.

  Represents an empty set of binding restrictions. This field is read only.

- Method
  4.0.0.0
  System.Dynamic.BindingRestrictions ``

  By convention, the general restrictions created by this method must only test immutable object properties.

  Creates the binding restriction that checks the expression for arbitrary immutable properties.

  The new binding restrictions.

  The expression representing the restrictions.
- Method
  4.0.0.0
  System.Dynamic.BindingRestrictions `` `` To be added.

  Creates the binding restriction that checks the expression for object instance identity.

  The new binding restrictions.

  The expression to test. The exact object instance to test.
- Method
  4.0.0.0
  System.Dynamic.BindingRestrictions `` `` To be added.

  Creates the binding restriction that check the expression for runtime type identity.

  The new binding restrictions.

  The expression to test. The exact type to test.
- Method
  4.0.0.0
  System.Dynamic.BindingRestrictions `` To be added.

  Merges the set of binding restrictions with the current binding restrictions.

  The new set of binding restrictions.

  The set of restrictions with which to merge the current binding restrictions.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression To be added.

  Creates the representing the binding restrictions.

  The expression tree representing the restrictions.